Logo
OpenScaler

Create SSH key

POST
/v1/ssh-keys

Add a new SSH public key to a project.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for adding an SSH public key to a project.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/ssh-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "my-ssh-key",    "description": "My SSH key",    "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC... user@host",    "project_id": "default"  }'
{  "id": "019dd518-7b37-7b33-99a7-85d78d7a3320",  "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",  "project_id": "default",  "name": "my-ssh-key",  "description": "My SSH key",  "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC... user@host",  "created_at": "2022-10-24T12:00:00Z",  "updated_at": "2022-10-24T12:00:00Z"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}